Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Interface AuthorizationProvider

All Superinterfaces:
  org.jboss.portal.security.spi.provider.AuthorizationDomain, org.jboss.portal.security.spi.provider.DomainConfigurator

All Known Implementing Classes:
  AuthorizationProviderImpl

    public interface AuthorizationProvider

extends org.jboss.portal.security.spi.provider.AuthorizationDomain, org.jboss.portal.security.spi.provider.DomainConfigurator

Created on : Jan 24, 2007

Author:
  Sohil Shah - sohil.shah@jboss.com

Method Summary
`java.lang.String` | `getCriteriaURI(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getDefaultAdminRole()`
`org.jboss.portal.identity.MembershipModule` | `getMembershipModule()`
`java.lang.String` | `getRoleURI(java.lang.String roleId)`
`org.jboss.portal.identity.User` | `getRoot()`
`java.lang.String` | `getUserURI(java.lang.String userId)`

Methods inherited from interface org.jboss.portal.security.spi.provider.AuthorizationDomain
`getConfigurator, getPermissionFactory, getPermissionRepository, getType`

Methods inherited from interface org.jboss.portal.security.spi.provider.DomainConfigurator
`getSecurityBindings, removeSecurityBindings, setSecurityBindings`

Method Detail

### getUserURI

    java.lang.String getUserURI(java.lang.String userId)

  Parameters:
    `userId` -
  Returns:

### getRoleURI

    java.lang.String getRoleURI(java.lang.String roleId)

  Parameters:
    `roleId` -
  Returns:

### getCriteriaURI

    java.lang.String getCriteriaURI(java.lang.String name,
                                    java.lang.String value)

  Parameters:
    `name` -
    `value` -
  Returns:

### getMembershipModule

    org.jboss.portal.identity.MembershipModule getMembershipModule()

  Returns:

### getRoot

    org.jboss.portal.identity.User getRoot()

  Returns:

### getDefaultAdminRole

    java.lang.String getDefaultAdminRole()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.